Subject: Re: [syzbot] [net?] KMSAN: uninit-value in xfrm_state_find

From: syzbot <[email-masked]>
Date: Mon, 19 Jun 2023 23:41:23 -0700

syzbot suspects this issue was fixed by commit:

commit 3d776e31c841ba2f69895d2255a49320bec7cea6
Author: Tobias Brunner <[email-masked]>
Date:   Tue May 9 08:59:58 2023 +0000

    xfrm: Reject optional tunnel/BEET mode templates in outbound policies

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=13eeaa4b280000
start commit:   e4cf7c25bae5 Merge tag 'kbuild-fixes-v6.2' of git://git.ke..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=2651619a26b4d687
dashboard link: https://syzkaller.appspot.com/bug?extid=131cd4c6d21724b99a26
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=1140605c480000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=14c92718480000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: xfrm: Reject optional tunnel/BEET mode templates in outbound policies

For information about bisection process see: https://goo.gl/tpsmEJ#bisection